# std::experimental::source_location::line

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr std::uint_least32_t line() const noexcept; |  | (library fundamentals TS v2)

Returns the line number represented by this object.

### Parameters

(none)

### Return value

The line number represented by this object.

### Example

| This section is incomplete Reason: no example

### See also

column | return the column number represented by this object (public member function)
file_name | return the file name represented by this object (public member function)
function_name | return the name of the function represented by this object, if any (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/line&oldid=98276"